I attempted some changes to your code, even though I don’t understand what you intend to do with the third attribute:
- (defun c:blockinsert( / oldCmdEcho point1st angleInsert nextItem )(setq oldCmdEcho (getvar "CMDECHO"))(setvar "CMDECHO" 0)(setq nextItem "Yes")(if (and (setq point1st (getpoint "\nIndicate start point: ")) (setq angleInsert (getorient point1st "\nIndicate direction: "))) (while (not (or (initget "Yes No") (= nextItem "No"))) (command "_INSERT" "p4" point1st 1.0 1.0 (* (/ angleInsert pi) 180.0) "1" "category text" "??") (setq point1st (polar point1st angleInsert 48)) (setq nextItem (getkword "Insert another one /No?")) ))(setvar "CMDECHO" oldCmdEcho)(princ))
|